2017-11-19 10:16 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003559Kali Linux[All Projects] General Bugpublic2016-09-15 15:02
ReporterProfessorEcho 
Assigned Torhertzog 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.2 
Target VersionFixed in Version2017.1 
Summary0003559: "Could not get screen information" after dist-upgrade
DescriptionI reproduced it 3 times in total.

1.) Fresh install of Kali from the ISO downloadable from the website (2016.2)
2.) apt-get update && apt-get upgrade working fine
3.) Checking the settings menu for "displays", working fine
4.) Doing dist-upgrade
5.) Checking "displays" again, it says "Could not get screen information" or "Bildschirminformationen konnten nicht ausgelesen werden" in german
Steps To ReproduceSee description
Attached Files

-Relationships
+Relationships

-Notes

~0005812

ProfessorEcho (reporter)

Last edited: 2016-09-10 15:17

View 2 revisions

Forgot to mention:

System is a Lenovo Edge E530c. Running Kali as the only OS on the drive. Did no further customization except updating and upgrading as mentioned above. Why I stumbled upon this is, because I have second monitor attached via HDMI and I wanted to configure both the internal and the external display.

Some additional information (sry, first time bug reporter):

Linux user 4.6.0-kali1-amd64 0000001 SMP Debian 4.6.4-1kali1 (2016-07-21) x86_64 GNU/Linux

Version: 2.23-5

lswh output:

user
    description: Notebook
    product: 336669G (LENOVO_MT_3366)
    vendor: LENOVO
    version: ThinkPad Edge E530c
    serial: MP4NRDN
    width: 64 bits
    capabilities: smbios-2.7 dmi-2.7 smp vsyscall32
    configuration: administrator_password=disabled chassis=notebook family=ThinkPad Edge E530c power-on_password=disabled sku=LENOVO_MT_3366 uuid=812AABE2-2F52-CB11-8E2D-EE3A23E20617
  *-core
       description: Motherboard
       product: 336669G
       vendor: LENOVO
       physical id: 0
       version: Win8 Pro DPK TPG
       serial: 1ZM4D3BJ2BT
       slot: Not Available
     *-cpu
          description: CPU
          product: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
          vendor: Intel Corp.
          physical id: 5
          bus info: cpu@0
          version: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
          serial: None
          slot: CPU Socket - U3E1
          size: 1214MHz
          capacity: 3200MHz
          width: 64 bits
          clock: 100MHz
          capabilities: x86-64 fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm epb tpr_shadow vnmi flexpriority ept vpid fsgsbase smep erms xsaveopt dtherm ida arat pln pts cpufreq
          configuration: cores=2 enabledcores=2 threads=4
        *-cache:0
             description: L1 cache
             physical id: 7
             slot: L1-Cache
             size: 32KiB
             capacity: 32KiB
             capabilities: internal write-through instruction
             configuration: level=1
        *-cache:1
             description: L2 cache
             physical id: 8
             slot: L2-Cache
             size: 256KiB
             capacity: 256KiB
             capabilities: internal write-through unified
             configuration: level=2
        *-cache:2
             description: L3 cache
             physical id: 9
             slot: L3-Cache
             size: 3MiB
             capacity: 3MiB
             capabilities: internal write-back unified
             configuration: level=3
     *-cache
          description: L1 cache
          physical id: 6
          slot: L1-Cache
          size: 32KiB
          capacity: 32KiB
          capabilities: internal write-through data
          configuration: level=1
     *-memory
          description: System Memory
          physical id: b
          slot: System board or motherboard
          size: 16GiB
        *-bank:0
             description: SODIMM DDR3 Synchronous 1600 MHz (0,6 ns)
             product: CT102464BF160B.C16
             vendor: 859B
             physical id: 0
             serial: 12457B3E
             slot: ChannelA-DIMM0
             size: 8GiB
             width: 64 bits
             clock: 1600MHz (0.6ns)
        *-bank:1
             description: SODIMM DDR3 Synchronous 1600 MHz (0,6 ns)
             product: CT102464BF160B.C16
             vendor: 859B
             physical id: 1
             serial: 12457B3C
             slot: ChannelB-DIMM0
             size: 8GiB
             width: 64 bits
             clock: 1600MHz (0.6ns)
     *-firmware
          description: BIOS
          vendor: LENOVO
          physical id: 0
          version: H0ET94WW (2.54 )
          date: 08/02/2013
          size: 128KiB
          capacity: 4032KiB
          capabilities: pci pnp upgrade shadowing cdboot bootselect edd int13floppy720 int5printscreen int9keyboard int14serial int17printer int10video acpi usb biosbootspecification uefi
     *-pci
          description: Host bridge
          product: 3rd Gen Core processor DRAM Controller
          vendor: Intel Corporation
          physical id: 100
          bus info: pci@0000:00:00.0
          version: 09
          width: 32 bits
          clock: 33MHz
          configuration: driver=ivb_uncore
          resources: irq:0
        *-display
             description: VGA compatible controller
             product: 3rd Gen Core processor Graphics Controller
             vendor: Intel Corporation
             physical id: 2
             bus info: pci@0000:00:02.0
             version: 09
             width: 64 bits
             clock: 33MHz
             capabilities: msi pm vga_controller bus_master cap_list rom
             configuration: driver=i915 latency=0
             resources: irq:30 memory:f0000000-f03fffff memory:e0000000-efffffff ioport:5000(size=64) memory:c0000-dffff
        *-usb:0
             description: USB controller
             product: 7 Series/C210 Series Chipset Family USB xHCI Host Controller
             vendor: Intel Corporation
             physical id: 14
             bus info: pci@0000:00:14.0
             version: 04
             width: 64 bits
             clock: 33MHz
             capabilities: pm msi xhci bus_master cap_list
             configuration: driver=xhci_hcd latency=0
             resources: irq:26 memory:f3600000-f360ffff
           *-usbhost:0
                product: xHCI Host Controller
                vendor: Linux 4.6.0-kali1-amd64 xhci-hcd
                physical id: 0
                bus info: usb@3
                logical name: usb3
                version: 4.06
                capabilities: usb-2.00
                configuration: driver=hub slots=4 speed=480Mbit/s
              *-usb:0
                   description: Mouse
                   product: 2.4G Wireless Mouse
                   vendor: MOSART Semi.
                   physical id: 2
                   bus info: usb@3:2
                   version: 81.13
                   capabilities: usb-1.10
                   configuration: driver=usbhid maxpower=100mA speed=12Mbit/s
              *-usb:1
                   description: Keyboard
                   product: USB Receiver
                   vendor: Logitech
                   physical id: 3
                   bus info: usb@3:3
                   version: 12.01
                   capabilities: usb-2.00
                   configuration: driver=usbhid maxpower=98mA speed=12Mbit/s
           *-usbhost:1
                product: xHCI Host Controller
                vendor: Linux 4.6.0-kali1-amd64 xhci-hcd
                physical id: 1
                bus info: usb@4
                logical name: usb4
                version: 4.06
                capabilities: usb-3.00
                configuration: driver=hub slots=4 speed=5000Mbit/s
        *-communication
             description: Communication controller
             product: 7 Series/C210 Series Chipset Family MEI Controller 0000001
             vendor: Intel Corporation
             physical id: 16
             bus info: pci@0000:00:16.0
             version: 04
             width: 64 bits
             clock: 33MHz
             capabilities: pm msi bus_master cap_list
             configuration: driver=mei_me latency=0
             resources: irq:28 memory:f3615000-f361500f
        *-usb:1
             description: USB controller
             product: 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2
             vendor: Intel Corporation
             physical id: 1a
             bus info: pci@0000:00:1a.0
             version: 04
             width: 32 bits
             clock: 33MHz
             capabilities: pm debug ehci bus_master cap_list
             configuration: driver=ehci-pci latency=0
             resources: irq:16 memory:f361a000-f361a3ff
           *-usbhost
                product: EHCI Host Controller
                vendor: Linux 4.6.0-kali1-amd64 ehci_hcd
                physical id: 1
                bus info: usb@1
                logical name: usb1
                version: 4.06
                capabilities: usb-2.00
                configuration: driver=hub slots=3 speed=480Mbit/s
              *-usb
                   description: USB hub
                   product: Integrated Rate Matching Hub
                   vendor: Intel Corp.
                   physical id: 1
                   bus info: usb@1:1
                   version: 0.00
                   capabilities: usb-2.00
                   configuration: driver=hub slots=6 speed=480Mbit/s
        *-multimedia
             description: Audio device
             product: 7 Series/C210 Series Chipset Family High Definition Audio Controller
             vendor: Intel Corporation
             physical id: 1b
             bus info: pci@0000:00:1b.0
             version: 04
             width: 64 bits
             clock: 33MHz
             capabilities: pm msi pciexpress bus_master cap_list
             configuration: driver=snd_hda_intel latency=0
             resources: irq:29 memory:f3610000-f3613fff
        *-pci:0
             description: PCI bridge
             product: 7 Series/C210 Series Chipset Family PCI Express Root Port 1
             vendor: Intel Corporation
             physical id: 1c
             bus info: pci@0000:00:1c.0
             version: c4
             width: 32 bits
             clock: 33MHz
             capabilities: pci pciexpress msi pm normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:16 ioport:4000(size=4096) memory:f2e00000-f35fffff ioport:f0400000(size=8388608)
           *-generic
                description: Unassigned class
                product: RTS5229 PCI Express Card Reader
                vendor: Realtek Semiconductor Co., Ltd.
                physical id: 0
                bus info: pci@0000:02:00.0
                version: 01
                width: 32 bits
                clock: 33MHz
                capabilities: pm msi pciexpress bus_master cap_list
                configuration: driver=rtsx_pci latency=0
                resources: irq:24 memory:f2e00000-f2e00fff
        *-pci:1
             description: PCI bridge
             product: 7 Series/C210 Series Chipset Family PCI Express Root Port 2
             vendor: Intel Corporation
             physical id: 1c.1
             bus info: pci@0000:00:1c.1
             version: c4
             width: 32 bits
             clock: 33MHz
             capabilities: pci pciexpress msi pm normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:17 memory:f2d00000-f2dfffff
           *-network
                description: Wireless interface
                product: BCM43228 802.11a/b/g/n
                vendor: Broadcom Corporation
                physical id: 0
                bus info: pci@0000:03:00.0
                logical name: wlan0
                version: 00
                serial: a4:db:30:a4:53:aa
                width: 64 bits
                clock: 33MHz
                capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
                configuration: broadcast=yes driver=b43 driverversion=4.6.0-kali1-amd64 firmware=666.2 ip=192.168.178.21 latency=0 link=yes multicast=yes wireless=IEEE 802.11abg
                resources: irq:17 memory:f2d00000-f2d03fff
        *-pci:2
             description: PCI bridge
             product: 7 Series/C210 Series Chipset Family PCI Express Root Port 3
             vendor: Intel Corporation
             physical id: 1c.2
             bus info: pci@0000:00:1c.2
             version: c4
             width: 32 bits
             clock: 33MHz
             capabilities: pci pciexpress msi pm normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:18 ioport:3000(size=4096) memory:f2500000-f2cfffff ioport:f0c00000(size=8388608)
        *-pci:3
             description: PCI bridge
             product: 7 Series/C210 Series Chipset Family PCI Express Root Port 4
             vendor: Intel Corporation
             physical id: 1c.3
             bus info: pci@0000:00:1c.3
             version: c4
             width: 32 bits
             clock: 33MHz
             capabilities: pci pciexpress msi pm normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:19 ioport:2000(size=4096) memory:f1d00000-f24fffff ioport:f1400000(size=9437184)
           *-network
                description: Ethernet interface
                product: RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
                vendor: Realtek Semiconductor Co., Ltd.
                physical id: 0
                bus info: pci@0000:0c:00.0
                logical name: eth0
                version: 07
                serial: 20:1a:06:5e:c0:b3
                size: 10Mbit/s
                capacity: 1Gbit/s
                width: 64 bits
                clock: 33MHz
                capabilities: pm msi pciexpress msix vpd bus_master cap_list ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd 1000bt 1000bt-fd autonegotiation
                configuration: autonegotiation=on broadcast=yes driver=r8169 driverversion=2.3LK-NAPI duplex=half firmware=rtl8168e-3_0.0.4 03/27/12 latency=0 link=no multicast=yes port=MII speed=10Mbit/s
                resources: irq:25 ioport:2000(size=256) memory:f1404000-f1404fff memory:f1400000-f1403fff
        *-usb:2
             description: USB controller
             product: 7 Series/C210 Series Chipset Family USB Enhanced Host Controller 0000001
             vendor: Intel Corporation
             physical id: 1d
             bus info: pci@0000:00:1d.0
             version: 04
             width: 32 bits
             clock: 33MHz
             capabilities: pm debug ehci bus_master cap_list
             configuration: driver=ehci-pci latency=0
             resources: irq:23 memory:f3619000-f36193ff
           *-usbhost
                product: EHCI Host Controller
                vendor: Linux 4.6.0-kali1-amd64 ehci_hcd
                physical id: 1
                bus info: usb@2
                logical name: usb2
                version: 4.06
                capabilities: usb-2.00
                configuration: driver=hub slots=3 speed=480Mbit/s
              *-usb
                   description: USB hub
                   product: Integrated Rate Matching Hub
                   vendor: Intel Corp.
                   physical id: 1
                   bus info: usb@2:1
                   version: 0.00
                   capabilities: usb-2.00
                   configuration: driver=hub slots=8 speed=480Mbit/s
                 *-usb
                      description: Video
                      product: Integrated Camera
                      vendor: SunplusIT INC.
                      physical id: 6
                      bus info: usb@2:1.6
                      version: 0.03
                      capabilities: usb-2.00
                      configuration: driver=uvcvideo maxpower=500mA speed=480Mbit/s
        *-isa
             description: ISA bridge
             product: HM77 Express Chipset LPC Controller
             vendor: Intel Corporation
             physical id: 1f
             bus info: pci@0000:00:1f.0
             version: 04
             width: 32 bits
             clock: 33MHz
             capabilities: isa bus_master cap_list
             configuration: driver=lpc_ich latency=0
             resources: irq:0
        *-storage
             description: SATA controller
             product: 7 Series Chipset Family 6-port SATA Controller [AHCI mode]
             vendor: Intel Corporation
             physical id: 1f.2
             bus info: pci@0000:00:1f.2
             version: 04
             width: 32 bits
             clock: 66MHz
             capabilities: storage msi pm ahci_1.0 bus_master cap_list
             configuration: driver=ahci latency=0
             resources: irq:27 ioport:5088(size=8) ioport:509c(size=4) ioport:5080(size=8) ioport:5098(size=4) ioport:5060(size=32) memory:f3618000-f36187ff
        *-serial UNCLAIMED
             description: SMBus
             product: 7 Series/C210 Series Chipset Family SMBus Controller
             vendor: Intel Corporation
             physical id: 1f.3
             bus info: pci@0000:00:1f.3
             version: 04
             width: 64 bits
             clock: 33MHz
             configuration: latency=0
             resources: memory:f3614000-f36140ff ioport:efa0(size=32)
     *-scsi:0
          physical id: 1
          logical name: scsi0
          capabilities: emulated
        *-disk
             description: ATA Disk
             product: Samsung SSD 850
             physical id: 0.0.0
             bus info: scsi@0:0.0.0
             logical name: /dev/sda
             version: 2B6Q
             serial: S2RBNX0H433252Z
             size: 465GiB (500GB)
             capabilities: partitioned partitioned:dos
             configuration: ansiversion=5 logicalsectorsize=512 sectorsize=512 signature=222a7f7b
           *-volume:0
                description: EXT4 volume
                vendor: Linux
                physical id: 1
                bus info: scsi@0:0.0.0,1
                logical name: /dev/sda1
                logical name: /
                version: 1.0
                serial: d754c3f4-10a1-473c-824b-04081ec6a581
                size: 450GiB
                capacity: 450GiB
                capabilities: primary bootable journaled extended_attributes large_files huge_files dir_nlink 64bit extents ext4 ext2 initialized
                configuration: created=2016-09-10 15:03:29 filesystem=ext4 lastmountpoint=/ modified=2016-09-10 17:05:18 mount.fstype=ext4 mount.options=rw,relatime,errors=remount-ro,data=ordered mounted=2016-09-10 15:11:48 state=mounted
           *-volume:1
                description: Extended partition
                physical id: 2
                bus info: scsi@0:0.0.0,2
                logical name: /dev/sda2
                size: 15GiB
                capacity: 15GiB
                capabilities: primary extended partitioned partitioned:extended
              *-logicalvolume
                   description: Linux swap volume
                   physical id: 5
                   logical name: /dev/sda5
                   version: 1
                   serial: 5a1ef63e-cc6a-4d51-8a28-f9904d0a92c5
                   size: 15GiB
                   capacity: 15GiB
                   capabilities: nofs swap initialized
                   configuration: filesystem=swap pagesize=4096
     *-scsi:1
          physical id: 2
          logical name: scsi1
          capabilities: emulated
        *-cdrom
             description: DVD-RAM writer
             product: DVD-RW DS8A9SH
             vendor: PLDS
             physical id: 0.0.0
             bus info: scsi@1:0.0.0
             logical name: /dev/cdrom
             logical name: /dev/cdrw
             logical name: /dev/dvd
             logical name: /dev/dvdrw
             logical name: /dev/sr0
             version: EL3B
             capabilities: removable audio cd-r cd-rw dvd dvd-r dvd-ram
             configuration: ansiversion=5 status=nodisc
  *-battery
       product: 45N1045
       vendor: SMP
       physical id: 1
       slot: Rear
       capacity: 42770mWh
       configuration: voltage=10,8V

~0005816

atdtphreaker (reporter)

Last edited: 2016-09-11 01:23

View 2 revisions

I have the same issue. (MacBook Pro, Mid 2012). I had posted the same problem https://bugs.kali.org/view.php?id=3555 and it was 'closed' / and replied with "won't fix".






Thanks.

~0005817

usmarine2141 (reporter)

i have the same issue, not just a you thing. My volume does not work either, nor does screen brightness. are yall's cpu core's pegged as well?

~0005819

ProfessorEcho (reporter)

I think, it is not just about "My graphics card is not showing in 'details'". For me, I cannot edit anything under the "displays" menu after dist-upgrade, while I definitely could do that before (right after the clean install). I guess, with my limited knowledge, that this is a drivers issue?! Dist-upgrade is definitely overwriting something here and that is not necessarily to the better, as far as I am concerned.

~0005820

atdtphreaker (reporter)

Last edited: 2016-09-11 08:32

View 2 revisions

@ProfessorEcho

I realized that there may had been an issue UPON finding "My graphics card is not showing in 'details'" was 'blank'... which made me then look FURTHER into it, only to realize that my screen brightness/keyboard and 'Displays' menu options had disappeared.


That other post of mine was the basis which led me to conclude that WE are in similar situations.

-- I thought it was self-explanatory, both in my original post and my 'note' on THIS post.


Thanks.

~0005822

ProfessorEcho (reporter)

@atdtphreaker Sry mate, didn't mean to devalue your earlier report. It was just important to me to clarify to whomever wants to fix this bug, that it really is a major issue (not being able to edit your display settings). I hope, that one of those genious kali devs can get that fixed. ;)

~0005823

atdtphreaker (reporter)

@ProfessorEcho

Understood, all cool.

~0005833

rhertzog (administrator)

Those issues are due to GNOME being in transition between GNOME 3.20 and GNOME 3.21 in Debian Testing currently. We have to wait until updated mutter/gnome-shell enter Debian Testing (and thus Kali Rolling).

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=836972
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=836939

~0005835

ProfessorEcho (reporter)

@rhertzog, thanks for that update. Good to know, that it is being taken care of!

~0005886

rhertzog (administrator)

The updated packages just reached Kali Rolling.
+Notes

-Issue History
Date Modified Username Field Change
2016-09-10 14:47 ProfessorEcho New Issue
2016-09-10 15:09 ProfessorEcho Note Added: 0005812
2016-09-10 15:17 ProfessorEcho Note Edited: 0005812 View Revisions
2016-09-11 01:19 atdtphreaker Note Added: 0005816
2016-09-11 01:23 atdtphreaker Note Edited: 0005816 View Revisions
2016-09-11 06:55 usmarine2141 Note Added: 0005817
2016-09-11 07:31 ProfessorEcho Note Added: 0005819
2016-09-11 08:31 atdtphreaker Note Added: 0005820
2016-09-11 08:32 atdtphreaker Note Edited: 0005820 View Revisions
2016-09-11 08:47 ProfessorEcho Note Added: 0005822
2016-09-11 09:14 atdtphreaker Note Added: 0005823
2016-09-12 11:46 rhertzog Note Added: 0005833
2016-09-12 11:46 rhertzog Assigned To => rhertzog
2016-09-12 11:46 rhertzog Status new => assigned
2016-09-12 12:14 ProfessorEcho Note Added: 0005835
2016-09-15 15:02 rhertzog Note Added: 0005886
2016-09-15 15:02 rhertzog Status assigned => resolved
2016-09-15 15:02 rhertzog Fixed in Version => 2017.1
2016-09-15 15:02 rhertzog Resolution open => fixed
+Issue History